> This page is for version API v3 (default).
> For other versions, use one of these documentation indexes:
> - API v3 (default): https://docs.taxcloud.com/api-v-3/llms.txt
> - API v1: https://docs.taxcloud.com/api-v-1/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.taxcloud.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.taxcloud.com/_mcp/server.

# Get Exemption Certificates

GET https://api.v3.taxcloud.com/tax/exemption-certificates

Reference: https://docs.taxcloud.com/api-reference/api-reference/sales-tax-api/exemption-certificate/get-exemption-certificates

## Authentication

- `Authorization` header (bearer token, required) — This authentication type can be used to directly call the service.
- `X-API-KEY` header (required) — This authentication type is supported by using the provided API key for the merchant account.

## Request

### Query parameters

- `limit` (long, optional, default: 20) — Maximum results per page
- `cursor` (string, optional) — The position from where the page should start. This can be found in the result of a previous api call and should be used on subsequent api calls to get the next group of records
- `ascending` (boolean, optional, default: false) — Whether you want the results to be ascending.
- `sortBy` (enum, optional, default: id) — The field you want to sort by.
  - Allowed values: `createdDate`, `id`
- `customerId` (string, optional) — The customer ID
- `disabled` (boolean, optional, default: false) — Whether the exemption certificate is disabled
- `connectionId` (string, optional)

## Response

### 200

OK

- `items` (list of ExemptionCertificateResponse, required)
- `limit` (long, required) — Maximum results per page
- `nextCursor` (string, required, nullable)
- `$schema` (string, optional) — A URL to the JSON Schema for this object.

## Errors

### 400 Bad Request Error

Bad Request

- `$schema` (string, optional) — A URL to the JSON Schema for this object.
- `detail` (string, optional) — A human-readable explanation specific to this occurrence of the problem.
- `errors` (list of ErrorDetail, optional) — Optional list of individual error details
- `instance` (string, optional) — A URI reference that identifies the specific occurrence of the problem.
- `status` (long, optional) — HTTP status code
- `title` (string, optional) — A short, human-readable summary of the problem type. This value should not change between occurrences of the error.
- `type` (string, optional, default: about:blank) — A URI reference to human-readable documentation for the error.

### 401 Unauthorized Error

Unauthorized

- `$schema` (string, optional) — A URL to the JSON Schema for this object.
- `detail` (string, optional) — A human-readable explanation specific to this occurrence of the problem.
- `errors` (list of ErrorDetail, optional) — Optional list of individual error details
- `instance` (string, optional) — A URI reference that identifies the specific occurrence of the problem.
- `status` (long, optional) — HTTP status code
- `title` (string, optional) — A short, human-readable summary of the problem type. This value should not change between occurrences of the error.
- `type` (string, optional, default: about:blank) — A URI reference to human-readable documentation for the error.

### 403 Forbidden Error

Forbidden

- `$schema` (string, optional) — A URL to the JSON Schema for this object.
- `detail` (string, optional) — A human-readable explanation specific to this occurrence of the problem.
- `errors` (list of ErrorDetail, optional) — Optional list of individual error details
- `instance` (string, optional) — A URI reference that identifies the specific occurrence of the problem.
- `status` (long, optional) — HTTP status code
- `title` (string, optional) — A short, human-readable summary of the problem type. This value should not change between occurrences of the error.
- `type` (string, optional, default: about:blank) — A URI reference to human-readable documentation for the error.

### 404 Not Found Error

Not Found

- `$schema` (string, optional) — A URL to the JSON Schema for this object.
- `detail` (string, optional) — A human-readable explanation specific to this occurrence of the problem.
- `errors` (list of ErrorDetail, optional) — Optional list of individual error details
- `instance` (string, optional) — A URI reference that identifies the specific occurrence of the problem.
- `status` (long, optional) — HTTP status code
- `title` (string, optional) — A short, human-readable summary of the problem type. This value should not change between occurrences of the error.
- `type` (string, optional, default: about:blank) — A URI reference to human-readable documentation for the error.

### 422 Unprocessable Entity Error

Unprocessable Entity

- `$schema` (string, optional) — A URL to the JSON Schema for this object.
- `detail` (string, optional) — A human-readable explanation specific to this occurrence of the problem.
- `errors` (list of ErrorDetail, optional) — Optional list of individual error details
- `instance` (string, optional) — A URI reference that identifies the specific occurrence of the problem.
- `status` (long, optional) — HTTP status code
- `title` (string, optional) — A short, human-readable summary of the problem type. This value should not change between occurrences of the error.
- `type` (string, optional, default: about:blank) — A URI reference to human-readable documentation for the error.

### 429 Too Many Requests Error

Too Many Requests

- `$schema` (string, optional) — A URL to the JSON Schema for this object.
- `detail` (string, optional) — A human-readable explanation specific to this occurrence of the problem.
- `errors` (list of ErrorDetail, optional) — Optional list of individual error details
- `instance` (string, optional) — A URI reference that identifies the specific occurrence of the problem.
- `status` (long, optional) — HTTP status code
- `title` (string, optional) — A short, human-readable summary of the problem type. This value should not change between occurrences of the error.
- `type` (string, optional, default: about:blank) — A URI reference to human-readable documentation for the error.

### 500 Internal Server Error

Internal Server Error

- `$schema` (string, optional) — A URL to the JSON Schema for this object.
- `detail` (string, optional) — A human-readable explanation specific to this occurrence of the problem.
- `errors` (list of ErrorDetail, optional) — Optional list of individual error details
- `instance` (string, optional) — A URI reference that identifies the specific occurrence of the problem.
- `status` (long, optional) — HTTP status code
- `title` (string, optional) — A short, human-readable summary of the problem type. This value should not change between occurrences of the error.
- `type` (string, optional, default: about:blank) — A URI reference to human-readable documentation for the error.

## Types

### ExemptionCertificateResponse

- `accountId` (long, required) — The account id for the exemption certificate
- `address` (Address, required) — Address of the customer
- `certificateId` (string, required) — Id for the exemption certificate
- `connectionId` (string, required) — The connection id for the exemption certificate
- `createdDate` (string, required) — The RFC3339 datetime string the exemption certificate was created at
- `customerBusinessType` (enum, required) — The type of business the customer is
  - Allowed values: `AccommodationAndFoodServices`, `AgriculturalForestryFishingHunting`, `Construction`, `FinanceAndInsurance`, `InformationPublishingAndCommunications`, `Manufacturing`, `Mining`, `RealEstate`, `RentalAndLeasing`, `RetailTrade`, `TransportationAndWarehousing`, `Utilities`, `WholesaleTrade`, `BusinessServices`, `ProfessionalServices`, `EducationAndHealthCareServices`, `NonprofitOrganization`, `Government`, `NotABusiness`, `Other`, `  Unknown `
- `customerId` (string, required) — Id for the customer in the given connection
- `customerName` (string, required) — name of the customer who purchased the exemption certificate
- `disabledAt` (string, required, nullable) — The RFC3339 datetime string the exemption certificate was disabled at, if applicable
- `reason` (enum, required) — The reason the customer is exempt from taxes
  - Allowed values: `FederalGovernment`, `StateOrLocalGovernment`, `TribalGovernment`, `ForeignDiplomat`, `CharitableOrganization`, `EducationalOrganization`, `Resale`, `AgriculturalProduction`, `IndustrialProductionOrManufacturing`, `DirectPayPermit`, `DirectMail`, `Other`, `ReligiousOrganization`, `Unknown`
- `reasonDescription` (string, required) — The reason the customer is exempt from taxes
- `singlePurchase` (boolean, required) — Whether the exemption certificate is for a single purchase
- `states` (list of ExemptionCertificateExemptStatesResponse, required)
- `$schema` (string, optional) — A URL to the JSON Schema for this object.
- `customerBusinessDescription` (string, optional) — description for business type if type is other

### ErrorDetail

- `location` (string, optional) — Where the error occurred, e.g. 'body.items[3].tags' or 'path.thing-id'
- `message` (string, optional) — Error message text
- `value` (any, optional) — The value at the given location

### Address

- `city` (string, required) — City or post-town
- `line1` (string, required) — the first line of the address (e.g., street, PO Box, or building). Values longer than 50 characters will be automatically truncated.
- `state` (string, required) — Two-character state or province code (e.g., MN).
- `zip` (string, required) — Postal or ZIP code. For US addresses this must be a 5-digit ZIP code or ZIP+4 (e.g., 55401 or 55401-2427).
- `countryCode` (enum, optional, default: US) — CountryCode is a string field that represents the ISO 3166-1 alpha-2 code of a country. For example, US for the United States, GB for Great Britain etc. Default value is US.
  - Allowed values: `US`, `CA`
- `line2` (string, optional) — the second line of the address, if there is one (e.g., apartment or suite number). Values longer than 50 characters will be automatically truncated.

### ExemptionCertificateExemptStatesResponse

- `abbreviation` (string, required) — The state that issued the exemption certificate

## Examples

**Response**

```json
{
  "items": [
    {
      "accountId": 1,
      "address": {
        "city": "Minneapolis",
        "line1": "323 Washington Ave N",
        "state": "MN",
        "zip": "55401-2427",
        "countryCode": "US",
        "line2": "string"
      },
      "certificateId": "string",
      "connectionId": "string",
      "createdDate": "2024-08-01T14:00:00Z",
      "customerBusinessType": "AccommodationAndFoodServices",
      "customerId": "string",
      "customerName": "Mr. Francis Exempt",
      "disabledAt": "2024-01-15T09:30:00Z",
      "reason": "FederalGovernment",
      "reasonDescription": "string",
      "singlePurchase": true,
      "states": [
        {
          "abbreviation": "string"
        }
      ],
      "$schema": "https://example.com/tax/schemas/ExemptionCertificateResponse.json",
      "customerBusinessDescription": "string"
    }
  ],
  "limit": 1,
  "nextCursor": "string",
  "$schema": "https://example.com/tax/schemas/ListResultExemptionCertificateResponse.json"
}
```

**SDK Code**

```python
import requests

url = "https://api.v3.taxcloud.com/tax/exemption-certificates"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.v3.taxcloud.com/tax/exemption-certificates';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.v3.taxcloud.com/tax/exemption-certificates"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.v3.taxcloud.com/tax/exemption-certificates")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.v3.taxcloud.com/tax/exemption-certificates")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.v3.taxcloud.com/tax/exemption-certificates', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.v3.taxcloud.com/tax/exemption-certificates");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.v3.taxcloud.com/tax/exemption-certificates")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```